using ProjectPatientAccounting.Entities;
namespace ProjectPatientAccounting.Repositories;

public interface IReceptionRepository
{
    IEnumerable<Reception> ReadReceptions(DateTime? dateFrom = null, DateTime? dateTo = null,
            int? patientId = null, int? diagnosisId = null, int? doctorId = null);

    void CreateReception(Reception reception);

    void DeleteReception(int id);
}
